
From: Andrew Morton <akpm@osdl.org>

Silly ppc64 uses symbol `DAR' for something else.

Cc: Marcel Selhorst <selhorst@crypto.rub.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/tpm/tpm_infineon.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/tpm/tpm_infineon.c~ppc64-tpm_infineon-build-fix drivers/char/tpm/tpm_infineon.c
--- 25/drivers/char/tpm/tpm_infineon.c~ppc64-tpm_infineon-build-fix	2005-07-15 02:41:23.000000000 -0600
+++ 25-akpm/drivers/char/tpm/tpm_infineon.c	2005-07-15 02:41:39.000000000 -0600
@@ -75,7 +75,7 @@ enum infineon_tpm_status_bits {
 enum infineon_tpm_values {
 	CHIP_ID1 = 0x20,
 	CHIP_ID2 = 0x21,
-	DAR = 0x30,
+	TPM_DAR = 0x30,
 	RESET_LP_IRQC_DISABLE = 0x41,
 	ENABLE_REGISTER_PAIR = 0x55,
 	IOLIMH = 0x60,
@@ -390,7 +390,7 @@ static int __devinit tpm_inf_probe(struc
 		}
 
 		/* activate register */
-		outb(DAR, TPM_ADDR);
+		outb(TPM_DAR, TPM_ADDR);
 		outb(0x01, TPM_DATA);
 		outb(DISABLE_REGISTER_PAIR, TPM_ADDR);
 
_
